Hi,

Are u guys also having issues trying to get to the latest ATi FGLRX Linux drivers download link?
I am getting error on page notification, making it not possible to select my linux drivers correctly.